Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Interface Document<L,F,T>

Type Parameters:
  `L` - The type of the labels in the Datum
  `F` - The type of the features in the Datum, and the type stored in the List

All Superinterfaces:
  Collection<T>, Datum<L,F>, Featurizable<F>, Iterable<T>, Labeled<L>, List<T>, Serializable

All Known Implementing Classes:
  BasicDocument

    public interface Document<L,F,T>

extends Datum<L,F>, List<T>

Represents a text document as a list of Words with a String title.

Author:
  Sepandar Kamvar (sdkamvar@stanford.edu), Joseph Smarr (jsmarr@stanford.edu), Sarah Spikes (sdspikes@cs.stanford.edu) (Templatization - added another parameter)

Method Summary
`
`<OUT> Document<L,F,OUT>`
` | `blankDocument()` Returns a new empty Document with the same meta-data (title, labels, etc) as this Document.
`String` | `title()` Returns title of document, or "" if the document has no title.

Methods inherited from interface edu.stanford.nlp.ling.Featurizable
`asFeatures`

Methods inherited from interface edu.stanford.nlp.ling.Labeled
`label, labels`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### title

    String title()

  Returns title of document, or "" if the document has no title. Implementations should never return `null`.

  Returns:
    The document's title

### blankDocument

    <OUT> Document<L,F,OUT> blankDocument()

  Returns a new empty Document with the same meta-data (title, labels, etc) as this Document. Subclasses that store extra state should provide custom implementations of this method. This method is primarily used by the processing API, so the input document can be preserved and the output document can maintain the meta-data of the in document.

  Returns:
    An empty document of the right sort.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group